Bug 819095 - BRL Editor: "from" should show bound Facts and Fields
Summary: BRL Editor: "from" should show bound Facts and Fields
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor)
Version: BRMS 5.3.0.GA
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ER7
: BRMS 5.3.0.GA
Assignee: manstis
QA Contact: Sona Mala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-04 20:04 UTC by manstis
Modified: 2020-09-10 21:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker GUVNOR-1889 0 Critical Resolved BRL Editor: "from" should show bound Facts and Fields 2012-11-26 01:57:41 UTC

Description manstis 2012-05-04 20:04:32 UTC
Description of problem:

"From" constructs only show bound Patterns to select from. Bound fields should be included too.

Version-Release number of selected component (if applicable):

5.3.x

How reproducible:

Steps to Reproduce:
1. Create a new BRL rule
2. Add a new Pattern. Bind the pattern.
3. Add a field on the Pattern. Bind the field.
4. Add a "from" construct.
5. In the "from" drop-down only the Pattern is listed. The field should too.
  
Actual results:

Only the Pattern is listed.

Expected results:

The Pattern and Field should be listed.

Additional info:

Comment 1 JBoss JIRA Server 2012-05-04 20:13:00 UTC
Michael Anstis <michael.anstis@gmail.com> updated the status of jira GUVNOR-1889 to Coding In Progress

Comment 2 Edson Tirelli 2012-05-04 20:19:01 UTC
Setting the flags as this is also part of the Khol's customer support case 00612957.

Comment 3 manstis 2012-05-04 20:48:58 UTC
There appears to be another problem too, for which there is no workaround. Using the BRL editor in 5.3 it is impossible to select a sub-field of "offer" which is a direct field of LIDDiscount. It is also impossible to use an Expression to navigate to the sub-field.

Comment 4 manstis 2012-05-05 11:29:53 UTC
master and 5.4.x community branches are not affected.

Comment 5 manstis 2012-05-09 15:39:41 UTC
Pushed to 5.3.x branch @ Prakash's request.
---------------------------------------------------------------------------
On 9 May 2012 16:20, Prakash Aradhya <xxx@redhat.com> wrote:

    It should be.  I just asked it.  Please go ahead an include the fix.
---------------------------------------------------------------------------
https://github.com/droolsjbpm/guvnor/commit/eae71bd7d41aeaada6bdb5ba1424a5e0b25ce213

Comment 6 JBoss JIRA Server 2012-05-09 15:40:50 UTC
Michael Anstis <michael.anstis@gmail.com> updated the status of jira GUVNOR-1889 to Resolved

Comment 7 JBoss JIRA Server 2012-05-09 15:40:50 UTC
Michael Anstis <michael.anstis@gmail.com> made a comment on jira GUVNOR-1889

Actual fix is not in 5.3.0.Final (but that's the closest release number to the 5.3.x branch - possibly now at 5.3.2).

Comment 8 Ryan Zhang 2012-05-14 08:17:02 UTC
The fixed for this issue should be included in ER7. Please do verification on it.

Comment 10 Sona Mala 2012-05-22 10:11:42 UTC
Verified:
 - created simple declarative model (Pattern "Fact", field Integer "field")
 - new rule
 - when 
    -> add pattern "Fact", bind variable "f"
       -> add field "field", bind variable "fi"
    -> add "From", options are "f","fi"


Note You need to log in before you can comment on or make changes to this bug.